<?php
    
    $mydb= new DB_MySQL('zeltlager','zeltlager','Z3ltlager3363','localhost');
    
    $sql = "SELECT * FROM AnmeldungVerwaltung LEFT JOIN AnmeldungStatus ON AnmeldungVerwaltung.uid = AnmeldungStatus.uid WHERE AnmeldungStatus.bestaetigt = 1";
    
    $mydb->query($sql);
    $Teilnehmer = $mydb->count();

     $sql = "SELECT * FROM AnmeldungVerwaltung LEFT JOIN AnmeldungStatus ON AnmeldungVerwaltung.uid = AnmeldungStatus.uid WHERE AnmeldungStatus.bestaetigt = 1 and AnmeldungVerwaltung.gruppe = 3 OR AnmeldungVerwaltung.gruppe = 5";
    $mydb->query($sql);
    $Mitarbeiter = $mydb->count();
    
    $sql = "SELECT * FROM AnmeldungVerwaltung LEFT JOIN AnmeldungStatus ON AnmeldungVerwaltung.uid = AnmeldungStatus.uid WHERE AnmeldungStatus.bestaetigt = 1 and AnmeldungVerwaltung.gruppe = 4 ";
    $mydb->query($sql);
    $Wichtel = $mydb->count();
    
    $sql = "";
    $mydb->query($sql);
    $noNichtEingeteilt = $mydb->count();
    
    
 echo "<div class=\"row\"><div class=\"col-lg-5\"><div class=\"panel panel-primary\">";
 echo "<div class=\"panel-heading\"><i class=\"fa fa-bar-chart-o fa-fw\"></i>&nbsp;Lagerteilnehmerstatistik</div>";
 echo "<div class=\"panel-body\">";
 echo "<div class=\"list-group-item\"><b>Lagerteilnehmer insgesamt:</b> $Teilnehmer (bestätigte Anmeldungen)</div>";
 echo "<div class=\"list-group-item\"><b>Mitarbeiter: </b>". $Mitarbeiter ."&nbsp;&nbsp;&nbsp;<b>\"Kinder\": </b>".  number_format ($Teilnehmer - $Mitarbeiter - $Wichtel , 0) ."&nbsp;&nbsp;&nbsp;<b>Wichtel:</b> ". $Wichtel ."</div>";
 echo "<div class=\"list-group-item\"><b>\"Betreuungsquote\": </b>" . number_format ( ($Mitarbeiter / ( $Teilnehmer - $Mitarbeiter)),2 ) ." (Mitarbeiter pro Kind)</div>";
 echo "<div class=\"list-group-item\"><b>Anzahl an Teilnehmern die noch keinem Zelt zugeordnet sind: </b> $noNichtEingeteilt</div>";
 echo"</div></div></div></div>";
    

    
    $sql = "SELECT * FROM VerwaltungZelte ORDER BY  VerwaltungZelte.zeltnummer = 0, VerwaltungZelte.zeltnummer ";
    $mydb->query($sql);
    while ($row = $mydb->fetchRow())
    {
        $zelte_nr_array[] = $row['zeltnummer']; // Inside while loop
        $zelte_namen_array[] = $row['zelt'];
    }
    

    echo "<div class=\"row col-lg-8\"><br>";
    
    foreach( $zelte_nr_array as $index => $zeltnr) 
    {  
        $sql = "SELECT a.nachname, a.vorname, z.mitarbeiter, g.gruppe_short_txt FROM AnmeldungVerwaltung t LEFT JOIN AnmeldungAdressen a ON t.uid = a.uid LEFT JOIN AnmeldungZeltwunsch z ON t.uid = z.uid JOIN AnmeldungStatus s ON t.uid = s.uid JOIN VerwaltungGruppe g ON g.gruppe = t.gruppe WHERE t.zeltnummer = $zeltnr AND s.bestaetigt = 1 ORDER by z.mitarbeiter DESC , a.nachname COLLATE latin1_german2_ci, a.vorname COLLATE latin1_german2_ci";
        $mydb->query($sql);
        $amount = $mydb->count(); 
    
        if ($amount > 0)
        {
            echo "<div class=\"panel-body\"><div class=\"table-responsive\"><table class=\"table table-bordered\">";
            echo "<thead><tr><th width=\"50%\">&nbsp; &nbsp; &nbsp; Zelt: ". $zelte_namen_array[$index] ."</th><th width=\"50%\">eingeteilte Personen: ". $amount ."</th></tr></thead><tbody>";
    
            while($row = $mydb->fetchRow())
            {
                echo "<tr><td>";
                if ($row['mitarbeiter'])
                {
                    echo $row['nachname'] . ", " . $row['vorname'] ." (" . $row['gruppe_short_txt'] .")" ;
                }
                else
                {
                    echo $row['nachname'] . ", " . $row['vorname'] ." (" . $row['gruppe_short_txt'] .")" ;    
                }
                echo "</td>";
    
                if ($row = $mydb->fetchRow())
                {
                    echo "<td>";
                    if ($row['mitarbeiter'])
                    {
                        echo $row['nachname'] . ", " . $row['vorname'] ." (" . $row['gruppe_short_txt'] .")";
                    }
                    else
                    {
                        echo $row['nachname'] . ", " . $row['vorname'] ." (" . $row['gruppe_short_txt'] .")" ;      
                    }
                    echo "</td></tr>";
                }
                else
                {
                      echo "<td>&nbsp;</td></tr>\n";
                }
            }
            echo "</tbody></table></div></div>\n";
        }
    }     
    echo "</div>";

    $mydb->disconnect();
     
    ?>